const APP_DISPLAY_NAME    = "Verificador ortogrfico pt-BR";
const APP_NAME            = "spell_pt-BR";
const APP_PACKAGE        = "dictionaries.mozdev.org/spell-pt-BR";
const APP_VERSION        = "0.3";

var err = initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
if (err==SUCCESS) {
    // Copy files to Components/myspell
    
    var myspell_folder = getFolder("Components", "myspell");
    err = addFile(APP_NAME, "pt-BR.dic", myspell_folder, "");
    err = addFile(APP_NAME, "pt-BR.aff", myspell_folder, "");
    
    if (err == SUCCESS) {
        err = performInstall();
       
        if (err == SUCCESS || err == 999) {
            alert(APP_DISPLAY_NAME+" (v "+APP_VERSION+") foi instalado com sucesso.\n");
        }
        else {
            alert("A instalao falhou. Erro:" + err);
            cancelInstall(err);
        }
    }
    else {
        alert("A instalao falhou. Erro:" + err);
        cancelInstall(err);
    }
}
else {
    cancelInstall(err);
}
